#include "sys_sx1278.h"
#include "json_queue.h"
#include "sys_mqtt.h"
#include "malloc.h"
#include "task.h"
//sx1278发送线程，其可能存在两处数据源，即轮询发送的采集信息，一个是mqtt下发的数据源，从队列中读取出数据

void sx1278_send_task(void *pdata)
{
	uint8_t err;
	StringInfo *message=NULL; //接收队列消息结构体

	while(1)
	{
			message=(StringInfo *)OSQPend(JsonQ,1000,&err);
			if(message != NULL)
			{
				write_modbus_data(message->p);
			}
			printf("sx1278_task_recv : %s",message->p);
			myfree(SRAMEX ,message->p);
		
	}
}
